Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.blobstore
Class BlobInfo

    java.lang.Object
      com.google.appengine.api.blobstore.BlobInfo

All Implemented Interfaces:
  java.io.Serializable

    public class BlobInfo

extends java.lang.Object
implements java.io.Serializable

`BlobInfo` contains metadata about a blob. This metadata is gathered by parsing the HTTP headers included in the blob upload. For more information on HTTP file uploads, see RFC 1867.

See Also:
  Serialized Form

Constructor Summary
`BlobInfo(BlobKey blobKey, java.lang.String contentType, java.util.Date creation, java.lang.String filename, long size)`
`BlobInfo(BlobKey blobKey, java.lang.String contentType, java.util.Date creation, java.lang.String filename, long size, java.lang.String md5Hash)` Creates a `BlobInfo` by providing the `BlobKey` and all associated metadata.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`BlobKey` | `getBlobKey()` Returns the `BlobKey` of the Blob this `BlobInfo` describes.
`java.lang.String` | `getContentType()` Returns the MIME Content-Type provided in the HTTP header during upload of this Blob.
`java.util.Date` | `getCreation()` Returns the time and date the blob was upload.
`java.lang.String` | `getFilename()` Returns the file included in the Content-Disposition HTTP header during upload of this Blob.
`java.lang.String` | `getMd5Hash()` Returns the md5Hash of this Blob.
`long` | `getSize()` Returns the size in bytes of this Blob.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlobInfo

    public BlobInfo(BlobKey blobKey,
                    java.lang.String contentType,
                    java.util.Date creation,
                    java.lang.String filename,
                    long size,
                    java.lang.String md5Hash)

  Creates a `BlobInfo` by providing the `BlobKey` and all associated metadata. This is typically done by the API on the developer's behalf.

### BlobInfo

    public BlobInfo(BlobKey blobKey,
                    java.lang.String contentType,
                    java.util.Date creation,
                    java.lang.String filename,
                    long size)

Method Detail

### getBlobKey

    public BlobKey getBlobKey()

  Returns the `BlobKey` of the Blob this `BlobInfo` describes.

### getContentType

    public java.lang.String getContentType()

  Returns the MIME Content-Type provided in the HTTP header during upload of this Blob.

### getCreation

    public java.util.Date getCreation()

  Returns the time and date the blob was upload.

### getFilename

    public java.lang.String getFilename()

  Returns the file included in the Content-Disposition HTTP header during upload of this Blob.

### getSize

    public long getSize()

  Returns the size in bytes of this Blob.

### getMd5Hash

    public java.lang.String getMd5Hash()

  Returns the md5Hash of this Blob.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD